using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class HostScene
	{
		/// <summary>
		/// HostID
		/// </summary>
		public virtual int HostID
		{
			get;
			set;
		}
		/// <summary>
		/// 场景
		/// </summary>
        public virtual RoomTypeScene Scene
		{
			get;
			set;
		}
		/// <summary>
		/// 状态：1开，2关
		/// </summary>
		public virtual int Status
		{
			get;
			set;
		}
		/// <summary>
		/// 当天开启时长
		/// </summary>
		public virtual int Time
		{
			get;
			set;
		}

		public virtual DateTime? UpdateTime
		{
			get;
			set;
		}

		public override bool Equals(object obj)
		{
            HostScene o = obj as HostScene;
			if (o == null)
			{
				return false;
			}
            return this.HostID == o.HostID && this.Scene.ID == o.Scene.ID;
		}

		public override int GetHashCode()
		{
            return this.HostID.GetHashCode() ^ this.Scene.GetHashCode();
		}
	}
}
